Subject: bug#70681: "guix pull" fails on Trisquel

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 01 May 2024 12:34:14 -0400

Hi Caleb,

Caleb Herbert <[email-masked]> writes:

> Hi Guix,
>
> Should the docs recommend against using packaged versions of Guix on
> foreign distros?
>
> I installed Guix with the Trisquel package.  When I ran "guix pull",
> it failed and told me to post the output here.  I've attached the
> transcript of my terminal session with "guix pull" on Trisquel.
>
> I tried doing "apt purge guix" and installing Guix using the installer
> script, but the script "detected" an already-existing Guix
> installation.   I guess "apt purge" didn't really "purge" enough.
>
> I'm now unable to install Guix in a way that will let me pull.

A workaround would look like:

# rm -rf /var/guix /gnu

Then try the guix-install script again.  There's also an undocumented
variable to "overwrite" the current installation; consult the script if
you want to use that.

-- 
Thanks,
Maxim